## irwi 0.1-4

=== Makefile ===
#############################################################################
# Makefile for building: irwi
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 31 11:19:34 2010
# Project:  irwi.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile irwi.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/zokier/irwi-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/zokier/irwi-0.1/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: irwi.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile irwi.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile irwi.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: irwi
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 28 14:40:21 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Iqmaemo5homescreenadaptor -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwidget.cpp \
		irctrl.cpp \
		irctrl_p.cpp \
		settingsdlg.cpp \
		selectremotedlg.cpp \
		advsettingsdlg.cpp \
		settingstable.cpp \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp moc_mainwidget.cpp \
		moc_irctrl.cpp \
		moc_settingsdlg.cpp \
		moc_selectremotedlg.cpp \
		moc_advsettingsdlg.cpp \
		moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = main.o \
		mainwidget.o \
		irctrl.o \
		irctrl_p.o \
		settingsdlg.o \
		selectremotedlg.o \
		advsettingsdlg.o \
		settingstable.o \
		qmaemo5homescreenadaptor.o \
		moc_mainwidget.o \
		moc_irctrl.o \
		moc_settingsdlg.o \
		moc_selectremotedlg.o \
		moc_advsettingsdlg.o \
		moc_qmaemo5homescreenadaptor.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = irwi
DESTDIR       = 
TARGET        = irwi

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/irwi1.0.0 || $(MKDIR) .tmp/irwi1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/irwi1.0.0/ && $(COPY_FILE) --parents mainwidget.h irctrl.h irctrl_p.h settingsdlg.h selectremotedlg.h advsettingsdlg.h settingstable.h qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h .tmp/irwi1.0.0/ && $(COPY_FILE) --parents main.cpp mainwidget.cpp irctrl.cpp irctrl_p.cpp settingsdlg.cpp selectremotedlg.cpp advsettingsdlg.cpp settingstable.cpp qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp .tmp/irwi1.0.0/ && (cd `dirname .tmp/irwi1.0.0` && $(TAR) irwi1.0.0.tar irwi1.0.0 && $(COMPRESS) irwi1.0.0.tar) && $(MOVE) `dirname .tmp/irwi1.0.0`/irwi1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/irwi1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwidget.cpp moc_irctrl.cpp moc_settingsdlg.cpp moc_selectremotedlg.cpp moc_advsettingsdlg.cpp moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwidget.cpp moc_irctrl.cpp moc_settingsdlg.cpp moc_selectremotedlg.cpp moc_advsettingsdlg.cpp moc_qmaemo5homescreenadaptor.cpp
moc_mainwidget.cpp: irctrl.h \
		mainwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwidget.h -o moc_mainwidget.cpp

moc_irctrl.cpp: irctrl.h
	/usr/bin/moc $(DEFINES) $(INCPATH) irctrl.h -o moc_irctrl.cpp

moc_settingsdlg.cpp: settingsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdlg.h -o moc_settingsdlg.cpp

moc_selectremotedlg.cpp: selectremotedlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) selectremotedlg.h -o moc_selectremotedlg.cpp

moc_advsettingsdlg.cpp: advsettingsdlg.h
	/usr/bin/moc $(DEFINES) $(INCPATH) advsettingsdlg.h -o moc_advsettingsdlg.cpp

moc_qmaemo5homescreenadaptor.cpp: qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o moc_qmaemo5homescreenadaptor.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mainwidget.h \
		irctrl.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwidget.o: mainwidget.cpp mainwidget.h \
		irctrl.h \
		settingsdlg.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwidget.o mainwidget.cpp

irctrl.o: irctrl.cpp irctrl.h \
		irctrl_p.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o irctrl.o irctrl.cpp

irctrl_p.o: irctrl_p.cpp irctrl_p.h \
		irctrl.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o irctrl_p.o irctrl_p.cpp

settingsdlg.o: settingsdlg.cpp settingsdlg.h \
		advsettingsdlg.h \
		selectremotedlg.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdlg.o settingsdlg.cpp

selectremotedlg.o: selectremotedlg.cpp selectremotedlg.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o selectremotedlg.o selectremotedlg.cpp

advsettingsdlg.o: advsettingsdlg.cpp advsettingsdlg.h \
		settingstable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o advsettingsdlg.o advsettingsdlg.cpp

settingstable.o: settingstable.cpp settingstable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingstable.o settingstable.cpp

qmaemo5homescreenadaptor.o: qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmaemo5homescreenadaptor.o qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp

moc_mainwidget.o: moc_mainwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwidget.o moc_mainwidget.cpp

moc_irctrl.o: moc_irctrl.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_irctrl.o moc_irctrl.cpp

moc_settingsdlg.o: moc_settingsdlg.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_settingsdlg.o moc_settingsdlg.cpp

moc_selectremotedlg.o: moc_selectremotedlg.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_selectremotedlg.o moc_selectremotedlg.cpp

## irwi 0.1-3

=== debian/changelog ===
irwi (0.1-3) unstable; urgency=low

  * Fixed debian/rules -file

 -- Torste Aikio <zokier@unknown>  Mon, 24 May 2010 10:17:33 +0300

irwi (0.1-2) unstable; urgency=low

  * Fixed build dependencies

 -- Torste Aikio <zokier@unknown>  Mon, 24 May 2010 10:17:33 +0300

irwi (0.1-1) unstable; urgency=low

  * Initial release 

 -- Torste Aikio <zokier@unknown>  Mon, 24 May 2010 10:17:33 +0300

=== debian/control ===
Source: irwi
Section: user/desktop
Priority: extra
Maintainer: Torste Aikio <zokier@unknown>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libx11-dev
Standards-Version: 3.7.2

Package: irwi
Architecture: any
Depends: qt4-homescreen-loader, ${shlibs:Depends}, ${misc:Depends}
Description: Small widget to control your TV etc
  This widget has basic controls to control IR controlled devices.
XB-Maemo-Display-Name: Irreco Widget
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/gD+
 AP7rGNSCAAAACXBIWXMAAE4DAABOAwEp7JknAAAACXZwQWcAAAAwAAAAMADO
 7oxXAAARlklEQVRo3r2aWXBb13nHf+feC+ACBAEQEEGZC0hZpGnJFCm5lmjL
 NC1rEmcSx/FLMnaSPiSW3CwP7kszmXoymUwe7Jlk8tI09riVs0zqLM2008hZ
 nFrRYknUEpcSIUcyKVlcIJLiApIQQWz33nP6gAsapsm0tZOemTO4AO7y/f/f
 er5zBR98BHVd76yrq+uNRqN7QqFQZzAYbPH5fLWGYfgBbNvOF4vF5Ww2m7p1
 69bwwsLC+cXFxXOO4wwD2Q/ycPE+r9N0XW+Px+MfSSQSH29qauq57bbbYvX1
 9UY4HCYQCOD1ejEMAwDHcSiVSuRyOW7dusXc3Jw9PT2dvnHjxtDExMSvZmZm
 fuc4zjVA/qUBCI/Hsz2RSHzujjvu+FRnZ2eitbVVxONxQqEQfr8fj8eDruto
 mvauC6WUSCmxLItCoVABwtjYmBoZGZl46623fjE+Pv5Dy7IuA+rPCsAwDGzb
 3tTU1PRkd3f3l3t6elrb29upCO71etE0DSHEqqC2baNUWQ4hBLquo+s6QpQf
 qZSiVCqRzWaZm5vj2rVrXLhwYTyZTD6fSqW+bxjGvG3bfx4Apmnu6erqera3
 t3dfd3e33tTURDgcxuPxAFAqlZifn2diYoKxsTFuTE2xsLiIZVkAeDweYnV1
 NDU20tbWRiKRIBaL4fP5ALBtm+XlZaampkgmk86ZM2eOJ5PJZwqFwvkPCkCP
 xWKP7969+9m+vr7Wzs5O4vE4Pp8PpRSZTIahoSFOnjrFxWSShdlZjEKBWqUI
 Al7XFgrAMrACSL+fWDxOT3c3fX199HR3Ew6H0TQNy7JIp9MMDw/z+uuvj587
 d+6Z+fn5nwPO+wHg2bx58xceeOCBb/b399dt3bqVSCSCpmlks1kGBgb4j8OH
 uXLpErFikXs8HnZ5PLTpOmEh8CiFAmylKEjJslLMS8mY43DZcbiiFFnTZHtX
 F489+ih79+4lGAwCsLy8zPXr1zlx4sTi8ePHvz49Pf0iYK3L8AbCa5s3b/7S
 Qw899Nz+/fvDHR0dRCIRlFIMDw/zveef5ycvv0z4xg0O+nw8HQzyiM/HNsNg
 k6YREAKPEOjuAwwhMIWgDkhoGl2aRo+mEbFtrkxO8p9nzzKRStHU1EQ0GsXv
 9xMOh4nFYn5N0/rn5uaWlpeX32Ad534PgMnJSX70ox99Zt++fd/ev39/uL29
 nWAwSKlU4tixY3z7O99h+uJFvuDz8dXaWu7zeglrGpp4rzIrvyjKTispx0kF
 mEBCCO4SAq9tM3D9OmcGB6mLRmlubsY0TWpra4lEIl7Hce67efNmamZm5tJz
 zz23MYBYLMa3vvWt3r6+vuc//OEP39bR0UEwGKRQKPDLw4f5x+9+l9aFBZ4L
 h3nMNKl1BRdCoFGONpVZPVQVdco1LQlIpfAACaAFuJbJcHRwkJpAgNtvvx3T
 NAkGg4RCIf/KysrdX/ziF8/W1dVN5nK59wLQdZ2VlZX6Xbt2fe/hhx+++667
 7iISiVAqlfjl4cO8+MIL9JVKPBcKcZfHgyYEetXUhECs41QV9quBqGogrmZC
 SrEFuFksciSZJFRbS0dHB6ZpEggEME0zsrCw0Hb16tVXdV3PVe65mm1s26a5
 ufnzvb29+zs7O4lEIkgpOXHiBIcOHaLPtvlmbS0tuo4APELg1bTV6XHt3qia
 mquZ6uONPoUQ1AnBJ4AtKysceuklTpw4gW3bBINBOjs72bt37/5EIvH56vyg
 Afj9fjRN69qxY8eXuru7tXg8jqZpjIyM8E+HDtGRzfL3wSD1ug4u44YrsNed
 7wJAOXT+rFjkh8Uii0phQFlbG4CoaC4IfBSoy2Q49NJLXL16FaUU0WiUnp4e
 befOnV/SNK0rEAi8Y0K2bYutW7d+Zf/+/R/r6uoiFAqRzWZ5/oUXmBoc5Buh
 EHcaBsJl0xACT4V1TSsz6JpGxYzetG2+n8/ztuPQrOu06TqOUjhVZiM3+O4H
 6oE/ZDIs5HLs3r0bv9+P1+vFsqzI5ORkbmZm5giA5vV6ATo6Ozs/2d7eTjgc
 RinFwMAAAydP8oTfT7dhvCuTVISsmEeFfQ1YkpIiUHQdVQiBBZQol53C1YSo
 us/aKV2nvg84ffIkZ86cQUpJMBiko6ODbdu2fRLo8Hq96Pfeey+O43ymv7//
 0xX2l5aWeOHFF6lJpXg6ECDo2nC1w2pVdg0wYtv8OJfjh7kc12yboBC84ZYS
 d+g6p22b31gWs0pRC9RQTq9OFfvS/V7RZMy971Q2y9777iMQCKDrOtlsNjI+
 Pn61u7v7vHb69OlgS0vLI62trYRCIQCSySRXLl3iEdOkTtPeq+aquSIlP8/l
 +Eomwy9ck7lgWaSlXNVWTin+aNukpOS4ZfFSqcRZx8FZJ2pV545a4K+Ay2++
 STKZRClFIBCo1FOPnDhxIqgBnU1NTT3xeByv10upVOLk6dNECgX2GMY7wrrs
 2O6xrRRZKTm0ssI/LC8z7ThowFZd59N+PzFNW01aDZrGo14vCddf0krxim1z
 ogrERiH4DsAsFDh1+jTFYhHDMIjH4yQSiR6g09i0aVPvbbfdtikUCqFpGvPz
 8wwlk3TrOlEhsJVCVIR37d52Y/DhQoGf5XKUgJAQfMI0edjnIyYEvy4UVpOX
 B+jzeOjUNI5ZFidsmxWleN1x8GoaO8X6JZkCwsAWIHnpEul0mqamJoLBII2N
 jZvi8XivFo1G99TX1xt+vx8hBBMTE6RnZugyDFjDuK0UlquRP1oW/5rPU1SK
 WiF4KhDgCdMkIgSWUpRcW0YpNNcx64TgYx4PnzAMAoClFKcch6mqRLd2aC6A
 +ZkZJiYmUEphmibxeNyIxWJ7tFAo1Fmp7aWUjI2Po+XzNGtaWXhX8OqZk5Lf
 FArMSYkGPObz0e/xlAWXsgy0KgNTFSKVUtyj6/TpOhqQAQalLP+3AYgGQOXz
 jI2Po5RC13XC4TChUKhTCwaDLRXvllIyOTlJ0HUga43gle8TjsOgZSGBLbrO
 Pq93lXXLnbhOD2CsiTgAu3WdRtd0ritF2r1mPTMKUi7+pqamcBwHTdOoqamh
 tra2xfD5fLWVJaFlWSwsLlLjPrRi61SpWAPesiwWpEQIwT0eDzVAUanVilMp
 RYeu02MY+IFmTcOqimK2UtQA2zSNlOOQBaaA0DoaUJQXRn5gYWEBx3EwDAOv
 14tpmrWGYRj+SvdAKUXJsvC4x5UVhFhjo+OOgw0EgC2aRknK1YhTKdDqheBv
 fL5yMqvyndWQrBRNQuAF8sCcUnT8CT/wACXLQrrhWdd1DMPwGxt5v+1GnbIB
 S5QQKCFwhGDRZdPngihWHNYVTrnmorlEVPtSBYTtsuoFcsCK+/v/ZQghMGzb
 zjuO46n84PV4yqWAUnjXgKqYkF0lsO06rqo6b21mXRV8zbGqMtHKYme9ISmv
 J70ez2q7xnEcLMvKa8VicblUKiGlRNd1onV1ZIEVKVcdsjJLrgCmy2xeKZYc
 Z/W/yrQq17qf1YGgGkSWco2Eq4n1soFwz8kDddEouq6XzbvcX1o2stlsKpfL
 NUkp8Xg8NDU1kQMWlCLsMl1h1VAKhCDq3jivFGNS0qxpqwuUCmMVX6hEn/U0
 cFNKCm6ijPBORbsWQJZyed7U2LgKIJfLkc1mU9ry8vLwrVu3sCwLIQRtra3g
 95OqxHPXRCwpVxluFAK/a8cXbJtbVf+Vqq9xtbA2DNtKkVOKYRegD4izcTtu
 BhB+P22trQghcByHTCZDJpMZ1tLp9Pm5uTk7n88DkEgk2NTQwFW3HVIRpCJY
 UUqiQIsQKOBtKRm07XeZ2dprrDXCO0pxRSlSrg9sBqIbAJDAGLCpoYFEIoEQ
 gmKxyOzsrJ1Op89r8/Pz56anp+eXl5dRShGLxeju7uYaMF/FXIXVkptwdmka
 PqUoKsVrts1bjoPtampV6HV8wVGKUaU4LSUll/3tlMPkevafAa4D3Tt2EI1G
 UUqRzWaZmpqan52dPacBwzdu3Biam5ujVCrh8/l44P77yZsml9ewWjGRgpQ0
 Azs1DeH6y7/bNm84DrkK6CogFcHzSnFJKV6VkiVXwG1A8wbsC2AEKJgmffff
 j8/nQ0rJ3NwcExMTQ8Cw9sADD2RTqdSvx8fHyWbLrfru7m6279jBH4ClNcJU
 gDhSshu40y0H0krxiuPwb7bNRcdhWimWlCIjJTeV4pKU/EpKficli65wHcDd
 rN9dE5Tbkf8FbO/qYseOHQghyOVyjI6OMj4+/uuHHnooq9+8eZOlpaWlWCz2
 aFtbWyQSiZTb5IbBkbNn8do2iTWxvfKpu+zZQjBPeRk5B4woxVuunb+pFENS
 clkp5lzH9wJ3Ab2Uk9lG7J8Dhk2TJw8c4K7t2wGYnp7m+PHjY+fPn//G1NRU
 WnccB2BBStnU2Ni4t6GhgUAgQENDAxM3bnD2+nUSbphbDY9VswIiChSUIk85
 6RTc8LfiAqvUNI3AvUAX7zR/1w4NSAG/Be7dt48nHn8c0zTJ5/MMDQ1x9OjR
 Q+l0+ueO45S1FwgEmJ2dnQ6FQh9rbm6O1NXVYZomTY2NnL1wgbczGbZSrgjV
 mlkpg+uANlfAkMtsDeUFSQOwFdgF9ACb2LirXHHcw4DZ2srfPv00jY2NKKW4
 ceMGR44cGRsYGPhqIBCYtSyrvCbP5XJIKd8cGhp6IZlMynQ6DUBHRwcHDx5k
 MRzmty6b1Q+uTnK2q40m4B7gQ5T7Ox91j3e7mvKwcbwX7jN+CyyGwxw8cID2
 9naEEGQyGS5evCgvXLjwgpTyzUp7cbUzZxgGqVTqB2fOnDk6PDzM8vIyuq7z
 YH8/Bw8cYLSmhldcdjQ2HhUzE5RLcoN3Muyf2jeqLG5eAUYDAQ48+ST9/f0Y
 hkE+n2dkZIRTp04dHR8f/0GleoaqAODmgFwqlRrRdf1D8Xg8Eg6HMU2T22+/
 nVBtLccvX+btYpF61zTe7w7hWtaFa/O/BGZDIZ566ikeffRRTNPEsixGR0d5
 9dVXx06ePPnlaDQ6UomWuAStjnQ6zdLS0rn29vavhUKh7/p8vrotW7ZgmiaP
 PfYYkUiEfz50iJ9MTLDXtena/wW7f0rwZeACMADUJRL83cGD9Pf34/P5sG2b
 VCrF0aNHFwcGBr6Wz+fPrd08fM96IBKJAPz0+PHjdR6P5zkg2NbWht/vZ//+
 /bS0tPAvL7/M66dOcalQ4B7KrY9wlWmtB6i6bSKBJcpJ6g1g0TS5v6+Pv/7s
 Z2lvb8cwDCzLIpVK8fvf/z579OjRr8/Nzf10rfDvMqE1Q2Wz2Quzs7NLjuPc
 FwqF/G6Lm1gsxp7du2lra2Mym+VcOs2bjsMM5dBZLXi1g+eBNHANOAscA4Z9
 Pm7ftYsDTz7JE48/TqNbbebzeUZHR3nttdcWjxw58rXJyckX2WCf7H/c5Kuv
 r3+8t7f32QcffLC1s7OTaDSKYRhIKVlaWiKZTHLq9GmGkknSMzOoQgGTchit
 1DeWC6AACNMk1tBAd3c3ffffT/eOHat7b1JKMpkMIyMjHDt2bPzMmTPPzM7O
 vu9NvtVhmuaenp6eZ/fu3buvp6dHb2xsJBgMornrgGKxSDqdLm+zjo8zOTXF
 wsLCu7ZZo9FoeZu1tZVEIkE0GsXn8yGEKC+O8nlu3rzJxYsXnVOnTh2/ePHi
 M/l8/gNvswLvbHS3tLQ8uXPnzi/ffffdrR0dHdTX1xMIBDAMY1UQpRSO4+A4
 zuoCXNO0d210V86VUpLL5Zifn+fq1asMDg6ODw4OPj8xMfF9j8czXyHgAwOo
 Pt/j8Wxva2v73LZt2z515513JrZs2SLi8TjBYBDTNFdfM3jPPlkVuGKxuLpD
 Pzo6qq5cuTJx+fLlX4yOjv5lXjVYZ2i6rrdv3rz5I62trR9PJBI9jY2NsXg8
 boTDYWpqavB6veh6OUa4C3ByuRyZTIbZ2Vl7cnIynUqlhsbGxn41PT39//ay
 x3ojqOt6ZywW643FYntCoVBnbW1ti9t08gshsCwrXygUlrPZbCqTyQyn0+nz
 6XT6z/K6zX8DamDtUtlkgG8AAAAldEVYdGRhdGU6Y3JlYXRlADIwMTAtMDUt
 MjVUMTA6MTI6NTkrMDM6MDB9L5V2AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDEw
 LTA1LTI1VDEwOjEyOjU5KzAzOjAwDHItygAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAAASUVORK5CYII=
 ====

## irwi 0.1-4

=== debian/changelog ===
irwi (0.1-4) unstable; urgency=low

  * Added lirc as a dependency

 -- Torste Aikio <zokier@unknown>  Mon, 24 May 2010 10:17:33 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: irwi
 Architecture: any
-Depends: qt4-homescreen-loader, ${shlibs:Depends}, ${misc:Depends}
+Depends: qt4-homescreen-loader, lirc, ${shlibs:Depends}, ${misc:Depends}
 Description: Small widget to control your TV etc
   This widget has basic controls to control IR controlled devices.
 XB-Maemo-Display-Name: Irreco Widget

## irwi 0.1-5

=== debian/changelog ===
irwi (0.1-5) unstable; urgency=low

  * Added a timeout functionality for stopping lirc

 -- Torste Aikio <zokier@unknown>  Fri, 04 Jun 2010 10:17:33 +0300

## irwi 0.2-2

=== debian/changelog ===
irwi (0.2-2) unstable; urgency=low

  * Public release

 -- Torste Aikio <zokier@unknown>  Tue, 29 Jun 2010 12:17:33 +0300

irwi (0.2-1) unstable; urgency=low

  * Rewrite of the core

 -- Torste Aikio <zokier@unknown>  Mon, 11 Jun 2010 10:17:33 +0300

## irwi 0.2-3

=== debian/changelog ===
irwi (0.2-3) unstable; urgency=low

  * Sent commands are editable via advsettingsdlg

 -- Torste Aikio <zokier@unknown>  Wed, 30 Jun 2010 12:17:33 +0300

## irwi 0.2-5

=== debian/changelog ===
irwi (0.2-5) unstable; urgency=low

  * Added thumb icons

 -- Torste Aikio <zokier@unknown>  Mon, 12 Jul 2010 12:17:33 +0300

irwi (0.2-4) unstable; urgency=low

  * Fixes connection dialog focus problems

 -- Torste Aikio <zokier@unknown>  Mon, 05 Jul 2010 12:17:33 +0300

=== debian/control ===
Source: irwi
Section: user/desktop
Priority: extra
Maintainer: Torste Aikio <zokier@unknown>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libx11-dev, libqtm-dev
Standards-Version: 3.7.2

Package: irwi
Architecture: any
Depends: qtm-bearer, qt4-homescreen-loader, lirc, ${shlibs:Depends}, ${misc:Depends}
Description: Small widget to control your TV etc
  This widget has basic controls to control IR controlled devices.
XB-Maemo-Display-Name: Irreco Widget
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAAAAAByaaZbAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAl2cEFn
 AAAAMAAAADAAzu6MVwAAA8lJREFUSMeNlltIFWEQgOf/d4+lZlkRRRmWPlRU
 alGBRHYxKdLqSV+6aRCJ9lR0AyMjKoygy1NFFyq6UWD1JhViVA9lZJl2eehi
 milIRqF59jLN/Lues6dz9uR/1D07O9/8M/PPjAsQvQTMufGhfq0mBAxhCfpM
 /oG0ikDC/xEJoME+NG3Dusn3CVpcRpB+QMJR20YL7xEbcGz4qZOxzF1TAA4j
 A7UA+oG9SyT4xULitN2NwTkARxRwh4A27Lqc77OJALm4wUKc6wGGfQ4ifq9K
 jUUIGF7djmjZXiDhEwkwWDc/mpCQdsZCm1YE0EbfKAMta/4lBIy+Rub54TwP
 EHhvkJO2iV9XRxJCjKwh44gmDsz0AHAd2Qz9tMyLOEQJGwZIiZ/VJOgeIH3h
 CZeoG+UhBGQ3sdjGnnLKpQegtaWH47D+VEkR1k++qMzY7QV0p4UPDiRVRn4H
 E9i1NBQGyXopANsMbgZS0MKlwUuH0j6LicsB98gFJF3lAGw8qfG2GlSFiw/4
 /rhKbvdy+uoAuZ2cUfwwXsVF5f1zsLydjIxtVT6e0p0tJFSaJDCxUpeuhZwL
 r+qKQg2ky222RZ8n45QJIcRZNMjA62mDiaOL7sm6BplNfKS9sx0AJjaQeQNv
 DQ/VsYxsAxm4zTVllrkuL+IQLNzv2yoaVHOMeNq1VtjHG/5Y5dvBElZ2s8od
 N+ZN5JGFbbN8AQEzPjHwUneAUgV8zYkDzP7CwCsX2KySNIQd3rhAickxd+fF
 ARZ+Y+CR5gAFv7jVrO1xsrQjyFm6IRw86x1tYOAl39moySt8DtZBd7/Eu6Ru
 4tPJPj5JmPCYPQqucHyQcMimbjD7i2Vsn3RZ0scN/DHDBURxn6rG+pSYPkmZ
 +ECVQm0KuEGkNzsNWh4zbA22qvlj7Ag/3qkayO5ZAnq0Q5DXxf2IL6YOAgKm
 tqCaMc8y3Kby2k9/rsxZe8IbCFHRb6kp05gL4PmPwON/QaPjb0MaeMZG0nmy
 z0RPGXePLqmtpE7+idJuR799sTfpErJaWc7U/fyUkDw5r07JbGugWkSkUMCy
 LkXwvKw/tnFG6tjU6euPPmSJEp5J/iflQqzrpOHCbjHX8fb92/bBG/q9Nimq
 CmiatSr75ENQXdAOclxUBf01Y6KrhgTZ5wx6bCslXiqZ9KdpQ0rME6UqrGhm
 DwwFkbJp0KX3Yjb4ViVk7Gz+rZRNk91Bq/Nq/giQvp1FD9KLD9W+U6Oyv7Ph
 bGVuEsR9HVC5S8wqKCkr3VS4aFJIFA/xNoWQQ3pBoapQSwztdeY/6y9bfb5N
 tv92ygAAABl0RVh0Q29tbWVudABDcmVhdGVkIHdpdGggR0lNUFeBDhcAAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMTAtMDctMDFUMTU6MzI6NDQrMDM6MDDhqCRL
 AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDEwLTA3LTAxVDE1OjMyOjQ0KzAzOjAw
 kPWc9wAAAABJRU5ErkJggg==
 ====
